ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <Jan.Mate...@rzf.fin-nrw.de>
Subject Build Ant on JDK 1.2
Date Thu, 26 Oct 2006 07:08:01 GMT
I tried building Ant on JDK 1.2, but it failed because of wrong class
file version of AntUnit.
   java.lang.UnsupportedClassVersionError:
   * org/apache/ant/antunit/AntUnit (Unsupported major.minor version
49.0)
     lib/optional/ant-antunit-1.0Beta2.jar

After "deleting" the jar the build works
   build.bat dist-lite compile-tests -nouserlib


Because that is an integral part of our build process (thats why we ship
a library) the JDK-1.2-policy must be applied to AntUnit - or we upgrade
to higher JDK ...
I think Stefan has just forgotten to build AU on JDK 1.2 ;-)

I did a rebuild of AU on JDK 1.2 and retried the Ant build: success



Because of svn problems (for some reasons the external relationship from
AntUnit to common is not resolved) I had copied the antlib-common into
antunit/common directory and did the build then.

Should I update the ANTCORE/lib/optional/ant-antunit-1.0Beta2.jar with
that file?


Jan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message